#include <iostream>
using namespace std;
int main(){
    int n;
    string s;
    cin>>n>>s;
    if(n<26){
        cout<<0<<endl;
    }
    else if(n==26){
        for(int i=0;i<26;i++){
            if(s[i]!=i+'A'){
                cout<<0<<endl;
                return 0;
            }
        }
        cout<<1<<endl;
    }
    return 0;
}